package com.TicketManagement;

import java.util.Date;

public class Flight {
    private Date date;
    private String destination;
    private Airplane airplane;
    private int flightNumber;
    private String source;
    private String company;
    private String model;
    public Flight(Date date,int flightNumber,String destination,String source,Airplane airplane){

        this.date=date;
        this.source=source;
        this.airplane=airplane;
        this.destination=destination;
        this.flightNumber=flightNumber;
        this.company = airplane.getAirplaneagency();
        this.model = airplane.getModel();
    }
    public int getFlightNumber() {
        return flightNumber;
    }

    public String getSource() {
        return source;
    }

    public Airplane getAirplane() {
        return airplane;
    }

    public Date getDate() {
        return date;
    }

    public String getDestination() {
        return destination;
    }

    public String getCompany(){ return  company;}

}

